[Artifacts.Machines]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## Percentage chance of enemies getting drones. 25 means 25% chance.
# Setting type: Single
# Default value: 25
# Acceptable value range: From 0 to 100
HasDroneChance = 25

## The least number of drones an enemy can spawn with.
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 1 to 2147483647
MinimumEnemyDroneCount = 1

## The max number of drones an enemy can spawn with.
# Setting type: Int32
# Default value: 2
# Acceptable value range: From 1 to 2147483647
MaximumEnemyDroneCount = 2

## The max number of TC-280 Prototypes each player can own.
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 2147483647
MaxPrototypePlayerCount = 1

## Spawn Weight of the Strike Drone.
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 20
BackupDroneSpawnWeight = 1

## Spawn Weight of the Gunner Drone.
# Setting type: Int32
# Default value: 8
# Acceptable value range: From 0 to 20
Drone1SpawnWeight = 8

## Spawn Weight of the Healer Drone.
# Setting type: Int32
# Default value: 8
# Acceptable value range: From 0 to 20
Drone2SpawnWeight = 8

## Spawn Weight of the Emergency Drone.
# Setting type: Int32
# Default value: 4
# Acceptable value range: From 0 to 20
EmergencyDroneSpawnWeight = 4

## Spawn Weight of the Flame Drone.
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 20
FlameDroneSpawnWeight = 1

## Spawn Weight of the Missile Drone.
# Setting type: Int32
# Default value: 4
# Acceptable value range: From 0 to 20
MissileDroneSpawnWeight = 4

## Spawn Weight of the Gunner Turret.
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 20
GunnerTurretSpawnWeight = 1

## Spawn Weight of the TC-280 Prototype for enemies.
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 20
Tc280SpawnWeight = 0

## The internal name of this artifact for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = 

## The name token of this artifact for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSGRADIUSMOD_MACHINES_NAME_RENDERED

[Drones.LaserDrone1]

## Set to false to disable this feature.
# Setting type: Boolean
# Default value: true
Enabled = true

## Allow this drone to be repurchased upon being decommissioned.
# Setting type: Boolean
# Default value: true
CanBeRepurchased = true

## Spawn weight of how likely enemies will get this drone. 0 means it will not spawn at all. 1 is the default.
# Setting type: Int32
# Default value: 0
AllowToBeSpawnedWithMachinesArtifact = 0

## Aetherium Compatibility: Allow this drone to be Inspired by Inspiring Drone.
# Setting type: Boolean
# Default value: true
CanBeInspired = true

## Chen's Classic Items Compatibility: Allow this drone to be affected by Engineers Toolbelt. Some drones may override this config, such as the Psy Drones who will never be affected.
# Setting type: Boolean
# Default value: true
AffectedByEngineersToolbelt = true

## Chen's Classic Items Compatibility: Allow this drone to be healed by Drone Repair Kit.
# Setting type: Boolean
# Default value: true
AffectedByDroneRepairKit = true

## The duration of the drone's beam in an attack.
# Setting type: Single
# Default value: 4
BeamDuration = 4

## The cooldown of the beam attack.
# Setting type: Single
# Default value: 4
BeamCooldown = 4

## Damage Coefficient of the beam attack per tick.
# Setting type: Single
# Default value: 1
DamageCoefficient = 1

## Minimum stage number for the drone to start spawning.
# Setting type: Int32
# Default value: 3
MinimumStageSpawn = 3

## The weight for which the Director is biased towards spawning this drone.
# Setting type: Int32
# Default value: 1
SpawnWeight = 1

## Minimum stage number for the drone to start spawning in Sky Meadow.
# Setting type: Int32
# Default value: 5
SkyMeadowMinimumStageSpawn = 5

## The weight for which the Director is biased towards spawning this drone in Sky Meadow.
# Setting type: Int32
# Default value: 4
SkyMeadowSpawnWeight = 4

[Drones.LaserDrone2]

## Set to false to disable this feature.
# Setting type: Boolean
# Default value: true
Enabled = true

## Allow this drone to be repurchased upon being decommissioned.
# Setting type: Boolean
# Default value: true
CanBeRepurchased = true

## Spawn weight of how likely enemies will get this drone. 0 means it will not spawn at all. 1 is the default.
# Setting type: Int32
# Default value: 0
AllowToBeSpawnedWithMachinesArtifact = 0

## Aetherium Compatibility: Allow this drone to be Inspired by Inspiring Drone.
# Setting type: Boolean
# Default value: true
CanBeInspired = true

## Chen's Classic Items Compatibility: Allow this drone to be affected by Engineers Toolbelt. Some drones may override this config, such as the Psy Drones who will never be affected.
# Setting type: Boolean
# Default value: true
AffectedByEngineersToolbelt = true

## Chen's Classic Items Compatibility: Allow this drone to be healed by Drone Repair Kit.
# Setting type: Boolean
# Default value: true
AffectedByDroneRepairKit = true

## The cooldown of the focused laser attack.
# Setting type: Single
# Default value: 6
LaserCooldown = 6

## The charge time of Laser Drone to release a strong focused laser.
# Setting type: Single
# Default value: 4
ChargeTime = 4

## Damage Coefficient of the focused laser.
# Setting type: Single
# Default value: 1
DamageCoefficient = 1

## Minimum stage number for the drone to start spawning.
# Setting type: Int32
# Default value: 3
MinimumStageSpawn = 3

## The weight for which the Director is biased towards spawning this drone.
# Setting type: Int32
# Default value: 1
SpawnWeight = 1

## Minimum stage number for the drone to start spawning in Sky Meadow.
# Setting type: Int32
# Default value: 5
SkyMeadowMinimumStageSpawn = 5

## The weight for which the Director is biased towards spawning this drone in Sky Meadow.
# Setting type: Int32
# Default value: 4
SkyMeadowSpawnWeight = 4

[Drones.PsyDrone]

## Set to false to disable this feature.
# Setting type: Boolean
# Default value: true
Enabled = true

## Allow this drone to be repurchased upon being decommissioned.
# Setting type: Boolean
# Default value: true
CanBeRepurchased = true

## Spawn weight of how likely enemies will get this drone. 0 means it will not spawn at all. 1 is the default.
# Setting type: Int32
# Default value: 0
AllowToBeSpawnedWithMachinesArtifact = 0

## Aetherium Compatibility: Allow this drone to be Inspired by Inspiring Drone.
# Setting type: Boolean
# Default value: true
CanBeInspired = true

## Chen's Classic Items Compatibility: Allow this drone to be affected by Engineers Toolbelt. Some drones may override this config, such as the Psy Drones who will never be affected.
# Setting type: Boolean
# Default value: true
AffectedByEngineersToolbelt = true

## Chen's Classic Items Compatibility: Allow this drone to be healed by Drone Repair Kit.
# Setting type: Boolean
# Default value: true
AffectedByDroneRepairKit = true

## The weight for which the Director is biased towards spawning this drone.
# Setting type: Int32
# Default value: 1
SpawnWeight = 1

## Allow playing of a sound effect when victims are hit by the drones' attacks.
# Setting type: Boolean
# Default value: true
HitSoundEffect = true

[General]

## Applies a fix for Emergency Drones. Set to false if there are issues regarding compatibility.
# Setting type: Boolean
# Default value: true
EmergencyDroneFix = true

## Allows all Gunner Drones to be repurchased when they are destroyed or decommissioned. This config only affects the base value, and can be changed by external sources like Artifact of Machines.
# Setting type: Boolean
# Default value: true
GunnerDronesAreRepurchaseable = true

## Allows all Gunner Turrets to be repurchased when they are destroyed or decommissioned. This config only affects the base value, and can be changed by external sources like Artifact of Machines.
# Setting type: Boolean
# Default value: true
TurretsAreRepurchaseable = true

## Allows all Healing Drones to be repurchased when they are destroyed or decommissioned. This config only affects the base value, and can be changed by external sources like Artifact of Machines.
# Setting type: Boolean
# Default value: true
HealingDronesAreRepurchaseable = true

## Allows all Emergency Drones to be repurchased when they are destroyed or decommissioned. This config only affects the base value, and can be changed by external sources like Artifact of Machines.
# Setting type: Boolean
# Default value: true
EmergencyDronesAreRepurchaseable = true

## Allows all Incinerator Drones to be repurchased when they are destroyed or decommissioned. This config only affects the base value, and can be changed by external sources like Artifact of Machines.
# Setting type: Boolean
# Default value: true
FlameDronesAreRepurchaseable = true

## Allows all Missile Drones to be repurchased when they are destroyed or decommissioned. This config only affects the base value, and can be changed by external sources like Artifact of Machines.
# Setting type: Boolean
# Default value: true
MissileDronesAreRepurchaseable = true

## Allows all TC-280 Prototypes to be repurchased when they are destroyed or decommissioned. This config only affects the base value, and can be changed by external sources like Artifact of Machines.
# Setting type: Boolean
# Default value: true
MegaDronesAreRepurchaseable = true

## Allows all Equipment Drones to be repurchased when they are destroyed or decommissioned. This config only affects the base value, and can be changed by external sources like Artifact of Machines.
# Setting type: Boolean
# Default value: true
EquipmentDronesAreRepurchaseable = true

## Allows Equipment Drones to have a chance to drop their Equipment when destroyed. Value of 43 means 43% chance. Affected by the drone's luck.
# Setting type: Single
# Default value: 0
# Acceptable value range: From 0 to 100
DropEquipFromDroneChance = 0

## Flame Drone spawn weight multiplier in Scorched Acres. Set to 1 for default.
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 1 to 2147483647
FlameDroneWeightScorchedAcres = 1

## Flame Drone spawn weight multiplier in Abyssal Depths. Set to 1 for default.
# Setting type: Int32
# Default value: 3
# Acceptable value range: From 1 to 2147483647
FlameDroneWeightAbyssalDepths = 3

## Gunner Turrets are not treated as Drones by the Director and they fall under Miscellaneous Category, hence why gunner turrets spawn more often. Setting this to true will change the category of turrets to Drones as well.
# Setting type: Boolean
# Default value: true
TurretsAsDroneCategory = true

## Aetherium Compatibility: Allow Equipment Drones to be Inspired by Inspiring Drone.
# Setting type: Boolean
# Default value: true
EquipmentDroneInspire = true

[Items.GradiusOption]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## Damage multiplier of Options/Multiples. Also applies for Healing Drones. 1 = 100%. Server only.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 3.402823E+38
DamageMultiplier = 1

## Whether to support Aurelionite in using Options. Set to true to enable. All attacks of Aurelionite will be copied by the Options/Multiples. Server and Client.
# Setting type: Boolean
# Default value: false
AllowAurelionite = false

## Whether to support Beetle Guards in using Options. Set to true to enable. Only their ranged attacks are copied. Their melee damage is multiplied instead. Server and Client.
# Setting type: Boolean
# Default value: false
AllowBeetleGuard = false

## Whether to support Squid Turrets in using Options. Set to false to disable. Squid Polyps may have weird interactions with other mods. Server and Client. Disable if the Options/Multiples are misbehaving.
# Setting type: Boolean
# Default value: true
AllowSquidPolyp = true

## Whether to support Empathy Core probes in using Options. Set to false to disable.Server and Client. Disable if the Options/Multiples are misbehaving.
# Setting type: Boolean
# Default value: true
AllowEmpathyCores = true

## Determines the Option/Multiple movement type. 0 = Regular, 1 = Rotate. Server and Client.
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 1
BeetleGuardOptionType = 1

## Allows displaying and syncing the flamethrower effect of Options/Multiples. Disabling this will replace the effect with bullets. Damage will stay the same. Server and Client. The server and client must have the same settings for an optimized experience. Disable this if you are experiencing FPS drops or network lag.
# Setting type: Boolean
# Default value: true
FlamethrowerOptionSyncEffect = true

## Allows displaying and syncing some of Aurelionite's Options/Multiples. This reduces the effects generated. Damage will stay the same. Server and Client. The server and client must have the same settings for an optimized experience. Disable this if you are experiencing FPS drops or network lag.
# Setting type: Boolean
# Default value: true
AurelioniteOptionSyncEffect = true

## Allows displaying and syncing some of allied Beetle Guards' Options/Multiples. This reduces the effects generated. Damage will stay the same. Server and Client. The server and client must have the same settings for an optimized experience. Disable this if you are experiencing FPS drops or network lag.
# Setting type: Boolean
# Default value: true
BeetleGuardOptionSyncEffect = true

## Allows displaying and syncing some of allied Empathy Cores' Options/Multiples. This reduces the effects generated. Damage will stay the same. Server and Client. The server and client must have the same settings for an optimized experience. Disable this if you are experiencing FPS drops or network lag.
# Setting type: Boolean
# Default value: true
EmpathyCoresOptionSyncEffect = true

## Set to true for the Orbs to have the Option Pickup model in the center. Server and Client. Cosmetic only. Turning this off could lessen resource usage.
# Setting type: Boolean
# Default value: true
IncludeModelInsideOrb = true

## For Equipment Drones. Determines the number of uses the Equipment Drone will perform the equipment's effect. e.g. A value of 0.3 and having an Option number of 4 will result to the Equipment Drone performing the effect 1 more time. (4 * 0.3 = 1.2 -> Floored to 1). Having a value of 0 will disable the config.
# Setting type: Single
# Default value: 0.5
# Acceptable value range: From 0 to 1
EquipmentDuplicationMultiplier = 0.5

## If true, the item will not be given to enemies by Evolution nor in the arena map, and it will not be found by Scavengers.
# Setting type: Boolean
# Default value: true
ItemIsAIBlacklisted = true

## The internal name of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = CGMGradiusOption

## The name token of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSGRADIUSMOD_GRADIUSOPTION_NAME_RENDERED

[Items.OptionSeed]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## Damage multiplier of Option Seeds. This also affects the knockback force of the attack. 1 = 100%. Server only.
# Setting type: Single
# Default value: 0.2
# Acceptable value range: From 0 to 3.402823E+38
DamageMultiplier = 0.2

## Additive increase to the damage multiplier when the item is stacked.
# Setting type: Single
# Default value: 0.05
# Acceptable value range: From 0 to 3.402823E+38
StackDamageMultiplier = 0.05

## Allows displaying and syncing the laser effect of Option Seeds. Disabling this will replace the effect with bullets. Damage will stay the same. Server and Client. The server and client must have the same settings for an optimized experience. Disable this if you are experiencing FPS drops or network lag.
# Setting type: Boolean
# Default value: true
MobileTurretsSeedSyncEffect = true

## Allows displaying and syncing the flamethrower effect of Option Seeds. Disabling this will replace the effect with bullets. Damage will stay the same. Server and Client. The server and client must have the same settings for an optimized experience. Disable this if you are experiencing FPS drops or network lag.
# Setting type: Boolean
# Default value: true
FlamethrowerSeedSyncEffect = true

## Set to true for the Orbs to have the Option Seed Pickup model in the center. Server and Client. Cosmetic only. Turning this off could lessen resource usage.
# Setting type: Boolean
# Default value: true
IncludeModelInsideOrb = true

## Sets the position of the Option Seeds to be static instead of them rotating.
# Setting type: Boolean
# Default value: false
StaticPositions = false

## The rotational speed of the seeds in angle difference. A value of 10 means that the angular computation is increased by 10 every frame.
# Setting type: Single
# Default value: 10
RotationSpeed = 10

## If true, the item will not be given to enemies by Evolution nor in the arena map, and it will not be found by Scavengers.
# Setting type: Boolean
# Default value: true
ItemIsAIBlacklisted = true

## The internal name of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = CGMOptionSeed

## The name token of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSGRADIUSMOD_OPTIONSEED_NAME_RENDERED

